; -- ftprngr.iss --

[Setup]

AppName=FTPRanger
AppVerName=FTPRanger version 0.05
OutputBaseFilename=ftpranger-0.05
DefaultDirName={pf}\FTPRanger
DefaultGroupName=FTPRanger
UninstallDisplayIcon={app}\ftprngr.exe
;Compression=lzma
;SolidCompression=yes
;OutputDir=userdocs:Inno Setup Examples Output

AppPublisher=MURATA Yasuhisa
;AppPublisherURL=http://www.nips.ac.jp/~murata/ftpranger/
AppVersion=0.05
AppSupportURL=http://www.nips.ac.jp/~murata/ftpranger/

[Languages]
Name: japanese; MessagesFile: compiler:Languages\Japanese.isl


[Files]
Source: "ftprngr.exe"; DestDir: "{app}"
Source: "libeay32.dll"; DestDir: "{app}"
Source: "ssleay32.dll"; DestDir: "{app}"
Source: "zlib1.dll"; DestDir: "{app}"
Source: "COPYING.txt"; DestDir: "{app}"
Source: "ChangeLog.txt"; DestDir: "{app}"
Source: "OpenSSL-LICENSE.txt"; DestDir: "{app}"
Source: "TLSWrap-COPYING.txt"; DestDir: "{app}"
Source: "README.txt"; DestDir: "{app}"; Flags: isreadme


[Icons]
; Name: "{group}\FTPRanger"; Filename: "{app}\ftprngr.exe"
Name: "{group}\T[rX̃CXg[ƊJn"; Filename: "{app}\ftprngr.exe"; Parameters: "-I """" -k"; WorkingDir: "{app}"
Name: "{group}\T[rX̏Iƍ폜"; Filename: "{app}\ftprngr.exe"; Parameters: "-R -k"; WorkingDir: "{app}"

[Run]
; Filename: "{app}\ftprngr.exe"; Parameters: "-I """""; StatusMsg: "FTPRanger:T[rX̃CXg[ƊJnĂ܂"
Filename: "{app}\ftprngr.exe"; Parameters: "-I """""

[UninstallRun]
; Filename: "{app}\ftprngr.exe"; Parameters: "-R"; StatusMsg: "FTPRanger:T[rX̏Iƍ폜Ă܂"
Filename: "{app}\ftprngr.exe"; Parameters: "-R"

[Code]
function InitializeSetup(): Boolean;
begin
  if RegKeyExists(HKEY_LOCAL_MACHINE, 'SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\FTPRanger_is1') then
  begin
    MsgBox('FTPRanger łɃCXg[Ă悤łBɃACXg[ĂB', mbInformation, MB_OK);
    Result := False;
  end else begin
    Result := True;
  end;
end;
